Commit 1b3a522a authored by Raja Boujbel's avatar Raja Boujbel
Browse files

deprecated warning: remove dune alert as non fatal for compatibility

purpose (ocaml < 4.08.0) and add a warning removal in code
parent 87487803
(executable
(public_name opam-custom-install)
(flags (:standard -w -24 -alert --deprecated))
(flags (:standard -w -24))
(libraries opam-client))
......@@ -150,6 +150,7 @@ let custom_install cli =
$ OpamArg.build_options cli
$ no_recompilations $ packages $ cmd)
[@@@ocaml.warning "-3"]
let () =
OpamStd.Option.iter OpamVersion.set_git OpamGitVersion.version;
OpamSystem.init ();
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment